package nl.sbdeveloper.mctpaudio.api;

import nl.sbdeveloper.mctpaudio.socket.messages.MessageTask;

public enum AudioType {
    MUSIC, SFX, RADIO;

    public MessageTask toMessageTask() {
        return switch (this) {
            case MUSIC -> MessageTask.MUSIC;
            case SFX -> MessageTask.SFX;
            case RADIO -> MessageTask.RADIO;
        };
    }
}
